
# PlanAhead Launch Script for Pre-Synthesis Floorplanning, created by Project Navigator

hdi::project new -name EMB -dir "/home/atypic/prosjekt/master/src/fpga_code/EMB/patmp"
hdi::project setArch -name EMB -arch spartan3e
hdi::design setOptions -project EMB -top toplevel  
hdi::param set -name project.paUcfFile -svalue "toplevel.ucf"
hdi::floorplan new -name floorplan_1 -part xc3s500epq208-5 -project EMB
hdi::port import -project EMB \
    -vhdl {../pin.vhdl work} \
    -vhdl {../pin_bank.vhdl work} \
    -vhdl {../emb_pack.vhdl work} \
    -vhdl {../usrmodule.vhdl work} \
    -vhdl {../synchronizer.vhdl work} \
    -vhdl {../pin_control.vhdl work} \
    -vhdl {../memctl.vhdl work} \
    -vhdl {../mem.vhdl work} \
    -vhdl {../toplevel.vhdl work}
hdi::port export -project EMB -file EMB_pa_ports.v -format verilog
hdi::pconst import -project EMB -floorplan floorplan_1 -file "toplevel.ucf"
