#include <stdio.h>
#include "datalink.h"
#include <stdint.h>
#include <strings.h>
#include <arpa/inet.h> //byte-conversion
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include "fpga_config.h"
#include "emb.h"

#include "pin.h"

int main(void)
{
    setup_datalink();
    //config_fpga("toplevel.rbt", 40000);
    pinconfig_t * conf = init_config(64);

    uint8_t patterndata[2];
    
    patterndata[0] = 0x11;

    pattern_t pat;
    pat.data = patterndata;

    //Configure first 8 pins to be output
    int i;
    for(i = 0; i < 8; i++) {
        conf->pins[i].mode = PIN_OUT; 
    }

    pattern_t * ret;

    printf("stable: %d\n", detectStabilityPattern(200, 1000, 2000, &pat, conf));

    unsetup_datalink();
    return 0;
}
