#include <stdint.h>
//#include "device_cdc_task.h"

#define PACKET_MAX_BYTES 256 * 1024

int usb_enumerated(void);
void init_usb(void);
/* Blocking read and write functions */
void usb_read(void * buf, int bytes, int timeout);
void usb_write(void * buf, int bytes, int timeout);

/* Auxillary stuff for read and write */
uint8_t usb_rx_byte(void);
int usb_tx_ready(void);
void usb_tx_byte(uint8_t byte);
void usb_flush(void);

/* Check if data is ready in the endpoint FIFO */
int usb_data_ready(void);
int usb_tx_ready(void);

/* Start of frame action (from framework) */
void usb_sof_action(void);

void cdc_task(void);
