/* This header file is part of the ATMEL AVR-UC3-SoftwareFramework-1.7.0 Release */

// This file has been prepared for Doxygen automatic documentation generation.

#ifndef _CALIBRATE_H_
#define _CALIBRATE_H_

/*============================ INCLUDES ======================================*/
#include "stdbool.h"



/*============================ PROTOTYPES ====================================*/

#ifdef __cplusplus
extern "C" {
#endif


//! Start new calibration process, return false if finished.
bool rtouch_calibrate(void);


#ifdef __cplusplus
} /* extern "C" */
#endif


#endif
/* EOF */
