#ifndef __QUEUE_H__
#define __QUEUE_H__

//#include <stdint.h>

typedef struct qelement {
    void * data;
    struct qelement * next;
} qelement_t;

typedef struct queue {
    int max_size;  //Maximum size of the queue
    int size; //Number of elements in queue
    qelement_t * first_elm;
    qelement_t * last_elm; //where is last element
    //mutex?
} queue_t;


//Malloc room for the element and enqueue it. 
void init_queue(queue_t * queue, int max_size);
void enqueue_data(queue_t * queue, void * data);
void * dequeue_data(queue_t * queue);
#endif
