library ieee;
use ieee.std_logic_1164.all;

use work.all;


entity pin is
    port (  
            clk : in std_logic;
            cfgbits : in std_logic_vector(1 downto 0);
            pin_out : inout std_logic;
            oval    : out std_logic );
end entity;


architecture rtl of pin is
--    signal from_tristate : std_logic;
    signal syn_input_1 : std_logic;
   -- signal syn_input_2 : std_logic;
begin

   pin_out <= cfgbits(1) when cfgbits(0) = '0' else 'Z';

   in_sync_1 : entity synchronizer 
        port map (
            clk => clk,
            ws => pin_out,
            wso => syn_input_1 );

    in_sync_2 : entity synchronizer 
        port map (
            clk => clk,
            ws => syn_input_1,
            wso => oval );
end rtl;
