library ieee;

use ieee.std_logic_1164.all;
use work.all;
use work.emb.all;


entity toplevel_tb is
end entity;


architecture behav of toplevel_tb is
    constant clk_len : time := 50 ns;
    signal clk : std_logic;
    signal rst : std_logic;
    signal addr : std_logic_vector(MC_ADDR_BITS - 1 downto 0);
    signal data : std_logic_vector(MC_DATA_BITS - 1 downto 0);
    signal cs : std_logic;
    signal re : std_logic;
    signal we : std_logic;
    signal nwait : std_logic;
    signal io : std_logic_vector(63 downto 0);

begin 

    io <= "--------------------------------------------------------10111101";
    top_nice : entity toplevel
        port map (
            main_clk => clk,
            main_rst => rst,
            mem_addr => addr,
            mem_data => data,
            mem_cs   => cs,
            mem_re   => re,
            mem_we   => we,
            mem_wait => nwait,
            io_port  => io);
   
    test_proc : process
    begin
        -- Reset.
        rst <= '1';
        wait;
--      
--        -- Write CFG command
--        mem_addr <= CMD_REG;
--        mem_data <= CMD_CONF_PINS;
--        mem_cs <= '0';
--        mem_we <= '0';
--        wait for 10 ns;
--        wait until mem_wait = '1';
--
--        mem_cs <= '1';
--        mem_we <= '1';
--
          


    end process;

    test_clk : process
    begin
        clk <= '1' after clk_len , '0' after 2 * clk_len ;
        wait for 2 * clk_len ;
    end process;


end architecture;

