#include "emb.h"

/* First basic experiment, runs 500 randomly generated patterns, 
    with pin-pattern iooiooi...*/

int main(void)
{
	setup_datalink();
	pinconfig_t * config = init_config(64);
    
    //32 input pins, 32 output pins (default init is input)
    //pins 42 seem to be odd, so we don't output with it
    //pattern: ooiooiooiooiooi
    int i;
    for(i = 32; i < 64; i+=1) {
        if(i == 42) set_pin_mode(i, PIN_IN, config);
        else {
            int j;

            //for(j = 0; j < 2; j++) {
    //                printf("o: %d\n", i+j);
                  set_pin_mode(i, PIN_OUT, config);
           // }
           // i+= 2;
        }
    }
   
    //Allocate and create pattern
    /*
    uint8_t patterndata[] =  { 0xFF, 0xFF, 0xFF, 0xFF };
    pattern_t genome;
    genome.nbytes = 4;
    genome.data = (uint8_t *)(&patterndata);
    */

    allocatePatterns(500, config);
    for(i = 0; i < 500; i++) {
        storeRndPattern(i, config);
    }

    pattern_t ** res = applyAllPatterns(10, 500, config);

    //Print results to standard out.
    for(i = 0; i < 500; i++) {
        printf("%d ", i);       //Experiment number
        print_pattern(res[i]);  
    }

	unsetup_datalink();
	return 0;
}
