/* This source file is part of the ATMEL AVR-UC3-SoftwareFramework-1.7.0 Release */

/*This file is prepared for Doxygen automatic documentation generation.*/
/*! \file *********************************************************************
 *
 * \brief Definition of a small Atmel logo.
 *
 * - Compiler:           IAR EWAVR32 and GNU GCC for AVR32
 * - Supported devices:  All AVR32 devices can be used.
 * - AppNote:
 *
 * uthor               Atmel Corporation: http://www.atmel.com \n
 *                       Support and FAQ: http://support.atmel.no/
 *
 ******************************************************************************/

/* Copyright (c) 2009 Atmel Corporation. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this
 * list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 *
 * 3. The name of Atmel may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 *
 * 4. This software may only be redistributed and used in connection with an Atmel
 * AVR product.
 *
 * THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
 * EXPRESSLY AND SPECIFICALLY DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
 *
 */

const unsigned short int ms_key_logo[] =
{
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFD, 0xFFFD, 0xFFFE, 0xFFFF, 
  0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFBF, 0xFFFF, 
  0xFFFF, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFDF, 0xFFFF, 
  0xF77F, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xF7DF, 0xFFFF, 0xFFFF, 0xF79F, 0xFFFF, 0xFFDF, 0xFFFF, 
  0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF79F, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFDF, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xF7FF, 0xF7FF, 0xF7DF, 0xEFBF, 0xEF7F, 
  0xB59C, 0x8C17, 0x8C16, 0x7352, 0x9C96, 0xB598, 0xC619, 0xF79D, 
  0xFFFE, 0xFFFD, 0xFFFD, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xF79D, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 
  0xFFFF, 0xF7FF, 0xF7FF, 0xF7FF, 0xD73F, 0xA5B9, 0x73F3, 0x4AAF, 
  0x5A91, 0x9418, 0xB53C, 0xCE1E, 0xD63D, 0xCDFA, 0x9472, 0xC5F7, 
  0xFFFE, 0xFFDD, 0xFFFE, 0xFFFE, 0xFFBD, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xF7DF, 0xCE5F, 0x94B9, 0x6353, 0x3A2E, 0x4AAF, 0x8495, 0xB5FB, 
  0xE6FF, 0xF73F, 0xEEFE, 0xDE7D, 0xDE9D, 0xE6DD, 0xD63A, 0xAD35, 
  0xDEBB, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFBF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xF7FF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xE73F, 0xB5BB, 0x8C77, 
  0x5291, 0x41EF, 0x4A71, 0x7BF6, 0xB59B, 0xDF3F, 0xF7DF, 0xE75F, 
  0xCE5B, 0xBD97, 0xB536, 0x9C93, 0x6B0D, 0xB576, 0xFF9F, 0xC5F8, 
  0xAD36, 0xDE9B, 0xFFBF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xF7FF, 
  0xF7FF, 0xEFDF, 0xCEFF, 0xA59D, 0x73F8, 0x4A94, 0x4211, 0x4210, 
  0x83F7, 0xAD3A, 0xE6FF, 0xF79F, 0xEF5F, 0xEF1D, 0xCE19, 0x9452, 
  0x8C32, 0x734E, 0x734E, 0xB556, 0x736E, 0xDEBA, 0xEF5D, 0xDEDB, 
  0xBDB7, 0xAD56, 0xD67A, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7FF, 0xE75F, 0xCEBF, 
  0x84BA, 0x63B7, 0x3A72, 0x29D0, 0x31F1, 0x5B15, 0x94DB, 0xC63F, 
  0xE73F, 0xEF3F, 0xEF1F, 0xDEBC, 0xE69C, 0xF75E, 0xD619, 0x732E, 
  0x9C94, 0x6B2E, 0xD65B, 0xCE5A, 0xEF7E, 0xAD56, 0xCE5A, 0xE75E, 
  0xE71E, 0xBDF9, 0xAD57, 0xDEBC, 0xFFFF, 0xFFFF, 0xF79F, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xF7BF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xE73F, 0xBDDF, 0x7BDA, 0x5296, 0x4215, 
  0x31D3, 0x3213, 0x42B3, 0x6C16, 0xADFC, 0xDF5F, 0xE79F, 0xDF3E, 
  0xE73E, 0xE6FD, 0xE6FE, 0xE6DE, 0xEEFF, 0xFF3F, 0xC57A, 0x626E, 
  0x9454, 0xB599, 0xBDFA, 0x632F, 0x9CF6, 0x8C95, 0xBDFC, 0xC63D, 
  0x9497, 0x6B72, 0x420D, 0x318A, 0x94B5, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xF79F, 0xFFFF, 0xFFFF, 
  0xD6BC, 0xA538, 0x6B73, 0x4A30, 0x39B0, 0x39B2, 0x4A15, 0x5297, 
  0x6358, 0x94DC, 0xC67F, 0xE77F, 0xE77F, 0xD71D, 0xD6FC, 0xDF1C, 
  0xDF1C, 0xDEFC, 0xF75F, 0xE6DE, 0xA4B7, 0x83D3, 0xACD8, 0xCE1C, 
  0x9CD7, 0xB5BA, 0xA559, 0x8CB7, 0x94F9, 0x7C17, 0x4230, 0x190C, 
  0x18ED, 0x10CC, 0x10AA, 0x1088, 0x1086, 0xAD98, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFE, 0xF7DD, 0xFFFF, 0xFFDF, 0xE6FF, 0xC5FF, 0xA4DB, 0x52B2, 
  0x5291, 0x5291, 0x5AD2, 0x73B5, 0x94B8, 0xAD9B, 0xC65E, 0xDEDF, 
  0xE73F, 0xE71F, 0xE71F, 0xE6FF, 0xDEDF, 0xD6BE, 0xDEDE, 0xE71E, 
  0xD69B, 0xDEFC, 0xE75D, 0xD6DC, 0xCE9B, 0xE75E, 0xEF9F, 0xCEBD, 
  0xBE3D, 0xA55B, 0x5B12, 0x4250, 0x296F, 0x3A12, 0x2972, 0x3194, 
  0x2112, 0x2111, 0x210F, 0x212D, 0x0005, 0x9CF6, 0xFFFF, 0xEFBD, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFE, 0xFFFE, 0xDEDD, 0x526E, 0x5AB2, 0x4A51, 0x7376, 0xAD5C, 
  0xCE5F, 0xD69F, 0xE71F, 0xEF7F, 0xE77F, 0xD6FD, 0xCE9A, 0xC659, 
  0xD67A, 0xDE7B, 0xDE9C, 0xE6DD, 0xEF1E, 0xEF3F, 0xE73F, 0xDEFE, 
  0xF7BF, 0xEF9F, 0xE79F, 0xD71E, 0xADDA, 0x7C75, 0x4AF0, 0x218C, 
  0x212D, 0x214F, 0x2990, 0x31F2, 0x29B1, 0x2151, 0x10B0, 0x006F, 
  0x0050, 0x002E, 0x084D, 0x18CC, 0x210A, 0xAD99, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xF7DF, 0xFFFF, 0x7BB3, 0x18E9, 0x292B, 0xD6BF, 0xEF9F, 0xDF1E, 
  0xE75E, 0xD6FB, 0xC67A, 0xC65A, 0xCE7B, 0xCEBC, 0xD6DC, 0xDEDC, 
  0xEEFD, 0xF71E, 0xF73D, 0xE6FC, 0xE73B, 0xEF7C, 0xE77C, 0xD6FB, 
  0xB5D8, 0x7C33, 0x4AF0, 0x322F, 0x196E, 0x08CD, 0x1130, 0x31F4, 
  0x4218, 0x2955, 0x18F3, 0x086F, 0x006E, 0x08AE, 0x110F, 0x08CE, 
  0x190F, 0x190E, 0x214E, 0x296D, 0x296A, 0xAD98, 0xFFFF, 0xFFDE, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xF7BF, 0x5AEF, 0x210A, 0x210B, 0x316D, 0x39ED, 0xD6BE, 0xE75E, 
  0xE77C, 0xDF5B, 0xDF1B, 0xD6FC, 0xDF1D, 0xDF1E, 0xDF3E, 0xE73E, 
  0xDE9C, 0xEF3E, 0xF77F, 0xDEFC, 0xB5B6, 0x8430, 0x4A8A, 0x2167, 
  0x1107, 0x192A, 0x196D, 0x2190, 0x3214, 0x3216, 0x1954, 0x0071, 
  0x0011, 0x1073, 0x18F3, 0x31B4, 0x2192, 0x29B1, 0x110D, 0x006A, 
  0x110D, 0x190C, 0x216D, 0x298C, 0x1908, 0xCE5C, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xF7BF, 0x6B71, 0x39CE, 0x316E, 0x4211, 0x0869, 0x6331, 0xEF7F, 
  0xD6DB, 0xD71B, 0xDF3D, 0xE73E, 0xDF1E, 0xDEFD, 0xDEFC, 0xDF1C, 
  0xF7BF, 0xCEBB, 0x94F5, 0x52CE, 0x1908, 0x0067, 0x10CA, 0x29AE, 
  0x31B0, 0x31D2, 0x2992, 0x10F1, 0x006F, 0x004F, 0x10D2, 0x31D5, 
  0x3A16, 0x3A15, 0x2171, 0x216F, 0x00AA, 0x112C, 0x114C, 0x21CE, 
  0x218E, 0x214D, 0x298D, 0x298C, 0x528F, 0xFFBF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xE73D, 0x73B2, 0x52B0, 0x210C, 0x210E, 0x39D0, 0x0027, 0x73B3, 
  0xEFBF, 0xE75E, 0xDF1C, 0xDF1D, 0xE75F, 0xEF7F, 0xDF1F, 0xD6DE, 
  0x7C12, 0x320B, 0x0066, 0x0087, 0x214D, 0x29AF, 0x2970, 0x2171, 
  0x18F0, 0x08AF, 0x006E, 0x10F0, 0x39F5, 0x4A76, 0x3A15, 0x31B3, 
  0x190F, 0x18ED, 0x10EC, 0x192C, 0x196C, 0x112A, 0x08E9, 0x110A, 
  0x10EA, 0x10CA, 0x212B, 0x18C9, 0x9CB7, 0xFFFF, 0xEF5F, 0xFFFF, 
  0xFFDF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 
  0xFFDF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xE71E, 0xE6DD, 0xDEBC, 0xE6DE, 0xDEBD, 0xEF1F, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFBE, 0xFFFF, 0xFFFE, 0xFFFF, 0xFFBE, 0xF75D, 0xE6DB, 
  0xDE99, 0xC5D7, 0xA4F6, 0x398C, 0x18AB, 0x39B0, 0x318E, 0x0026, 
  0x8CD6, 0xE79F, 0xE79E, 0xEFDF, 0xD71E, 0x9D19, 0x5AD2, 0x294D, 
  0x212C, 0x214D, 0x29AF, 0x31F1, 0x29B1, 0x110F, 0x00AE, 0x00AE, 
  0x10F0, 0x3A55, 0x4AB6, 0x31F2, 0x29B0, 0x10CC, 0x18ED, 0x18CC, 
  0x190C, 0x190C, 0x190B, 0x190B, 0x192B, 0x192A, 0x1909, 0x10E8, 
  0x0866, 0x296A, 0x5AEF, 0x8C74, 0xC61A, 0xEF7F, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xF79E, 0xFFFF, 0xFFFF, 0xFFDF, 0xF79F, 
  0xFFFF, 0xFFDF, 0xFFFF, 0xFFDF, 0xBDBA, 0x8415, 0x7B94, 0x9CB8, 
  0xDEBE, 0xDE9C, 0xE6FE, 0xD69D, 0xE6FE, 0xEF1F, 0xEF7F, 0xFFFF, 
  0xFFDF, 0xFFFF, 0xF77C, 0xDED9, 0xD658, 0xD638, 0x9430, 0x3965, 
  0xAD32, 0xD657, 0xB556, 0x9C76, 0x39AD, 0x18AB, 0x292D, 0x29AD, 
  0x08C7, 0xA578, 0xADB8, 0x5B2F, 0x29AA, 0x296C, 0x294E, 0x210E, 
  0x3A12, 0x212F, 0x006C, 0x006C, 0x10EF, 0x29B2, 0x3A55, 0x4AD7, 
  0x4AB6, 0x1950, 0x192F, 0x214E, 0x190C, 0x296D, 0x420F, 0x316C, 
  0x190B, 0x214C, 0x214C, 0x212B, 0x190A, 0x214A, 0x39EC, 0x4A6D, 
  0x8C75, 0xA537, 0xBDF9, 0xC65A, 0xD6BC, 0xEF7E, 0xFFFF, 0xFFFF, 
  0xFFDF, 0xF7BE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 
  0xEF3E, 0xAD77, 0x7391, 0x2109, 0x39CE, 0x5251, 0x62B5, 0x7B97, 
  0xC5DC, 0xF77F, 0xD65C, 0xE71E, 0xE71E, 0xEF3E, 0xFFDF, 0xFFFF, 
  0xFFFF, 0xEF3B, 0xC5F6, 0xD698, 0xC5F6, 0xD637, 0xC595, 0x6B0B, 
  0xB573, 0xD658, 0xCE39, 0xBDB9, 0x83F4, 0x296C, 0x212C, 0x216C, 
  0x214B, 0x08A8, 0x1109, 0x29AC, 0x298D, 0x212C, 0x210D, 0x086B, 
  0x0009, 0x18ED, 0x4253, 0x52F6, 0x4AB5, 0x3213, 0x2191, 0x2170, 
  0x29B1, 0x31F2, 0x52F5, 0x52F4, 0x294D, 0x210B, 0x212B, 0x210A, 
  0x210A, 0x190A, 0x212A, 0x298B, 0x4A6F, 0x73D4, 0xA559, 0xC63C, 
  0xC63B, 0xCE7C, 0xD69C, 0xD6BC, 0xE71D, 0xFFDF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFDE, 0xFFFF, 0xFFFF, 0xF7BF, 0xB597, 0x5AEC, 
  0x2106, 0x1085, 0x20E9, 0x4A0F, 0x62D4, 0x8BFA, 0x943D, 0x8BFB, 
  0x7B95, 0xD63D, 0xDE9D, 0xF77F, 0xFFDF, 0xFFBF, 0xFFFF, 0xFFDE, 
  0xFFFF, 0xE6FA, 0x4A27, 0xBDB5, 0xC5F6, 0xCE37, 0xDE78, 0xDE98, 
  0xD657, 0xBDB5, 0xD67A, 0xBD98, 0xC63C, 0x73B3, 0x1088, 0x214C, 
  0x31CE, 0x190C, 0x3A10, 0x31CF, 0x10AB, 0x002A, 0x212E, 0x296F, 
  0x4A93, 0x4A72, 0x3A11, 0x216F, 0x110E, 0x190E, 0x2170, 0x31D1, 
  0x4253, 0x73D8, 0x31F0, 0x088A, 0x18CA, 0x294B, 0x18E9, 0x2129, 
  0x31AC, 0x4A8F, 0x7BF4, 0xA55A, 0xC63D, 0xD69E, 0xCE9D, 0xCE7C, 
  0xD6BD, 0xDEDD, 0xDEDC, 0xDEFC, 0xEF7E, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFDE, 0xFFFF, 0xF77E, 0x7BD0, 0x2947, 0x0002, 0x1064, 
  0x20E7, 0x398B, 0x41CE, 0x4A31, 0x5A94, 0x49F3, 0x83BC, 0x9C7E, 
  0x9459, 0x9CB8, 0xFFFF, 0xF77F, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 
  0xFFDD, 0xFFFF, 0x39A5, 0x41E6, 0xDE98, 0xCE16, 0xBDB4, 0xCE36, 
  0xBD95, 0x1061, 0x6B0C, 0xD67A, 0xB5B8, 0xBDFB, 0x52D0, 0x190B, 
  0x298F, 0x52B5, 0x4234, 0x086D, 0x31B1, 0x4A74, 0x4252, 0x4231, 
  0x190C, 0x190C, 0x190C, 0x190D, 0x18ED, 0x190D, 0x190D, 0x192D, 
  0x5B35, 0xBE3F, 0x5B13, 0x10C9, 0x18C9, 0x294A, 0x4A4E, 0x7BB3, 
  0xA539, 0xBDDB, 0xCE7E, 0xD6BE, 0xCE9D, 0xCE7D, 0xD6BD, 0xDEFE, 
  0xDEFD, 0xEF5E, 0xF79F, 0xF79F, 0xF79E, 0xFFDF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFDF, 0x5ACC, 0x1064, 0x20E7, 0x18A7, 0x20C8, 
  0x314B, 0x41CE, 0x316D, 0x5251, 0x396F, 0x312F, 0x8C1C, 0xBD7F, 
  0xB53D, 0xA4B9, 0xE6DF, 0xFFFF, 0xFFDF, 0xFFFF, 0xF7BD, 0xFFFE, 
  0xFFFE, 0xFFFF, 0xB595, 0x1041, 0x83EE, 0xE6FA, 0xC5F5, 0xCE16, 
  0xD658, 0x738D, 0x9CD2, 0xE71C, 0xEF9E, 0xC65B, 0x52AF, 0x18EB, 
  0x2990, 0x31B2, 0x18D0, 0x10D0, 0x4234, 0x31B1, 0x10AB, 0x10AA, 
  0x214C, 0x210B, 0x190B, 0x190C, 0x190C, 0x192C, 0x296E, 0x31EF, 
  0x216D, 0x6333, 0x31CD, 0x31AC, 0x5AD0, 0x8414, 0xC5FB, 0xDEBE, 
  0xCE7D, 0xD6BE, 0xDEDE, 0xDEDE, 0xD6BE, 0xDEDE, 0xE71E, 0xEF5F, 
  0xE73E, 0xEF5E, 0xF77E, 0xF79E, 0xF7BF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFDF, 0xF77E, 0x9494, 0x0824, 0x1087, 0x292B, 0x20AB, 0x20CB, 
  0x316E, 0x188A, 0x292D, 0xBD9E, 0x41F0, 0x41CF, 0x7375, 0xAD1D, 
  0x8BF9, 0x9C7A, 0x9CB8, 0xFF9F, 0xFFDF, 0xFFFF, 0xFFDD, 0xFFFE, 
  0xFFFF, 0xFFFF, 0xFFBF, 0x8C10, 0x0820, 0xAD33, 0xCE15, 0xDEB8, 
  0xDE99, 0xEF1B, 0xFFFF, 0xF7BE, 0xF7DF, 0x94D5, 0x422D, 0x212C, 
  0x18CD, 0x18F0, 0x10B0, 0x2973, 0x2991, 0x214F, 0x298E, 0x298C, 
  0x318C, 0x18EA, 0x10A9, 0x190A, 0x294C, 0x212B, 0x190A, 0x212B, 
  0x31CD, 0x5AF1, 0x8C76, 0xB59A, 0xD69D, 0xDEDE, 0xE6FE, 0xD67C, 
  0xDEDE, 0xDEDD, 0xDEBD, 0xDEFE, 0xE73F, 0xF77F, 0xF77F, 0xF77F, 
  0xFFFF, 0xFFDF, 0xFFBF, 0xFFBF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 
  0xFFBF, 0xFFFF, 0x528D, 0x0825, 0x290B, 0x188B, 0x188C, 0x312F, 
  0x20CD, 0x292E, 0x292D, 0x20EB, 0x8C37, 0x39AC, 0x39ED, 0x83F6, 
  0xC5DF, 0xAD1E, 0xB55D, 0xAD18, 0xF77F, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0x526A, 0x20E2, 0xFFBC, 0xEF1A, 
  0xFFBD, 0xFFFF, 0xF7BD, 0xF79D, 0xFFFF, 0xB5B8, 0x2129, 0x212B, 
  0x084B, 0x3192, 0x10AF, 0x2971, 0x31D1, 0x216E, 0x214B, 0x212A, 
  0x0867, 0x1066, 0x18C8, 0x294A, 0x296B, 0x31AC, 0x6332, 0x94D8, 
  0xB5DC, 0xBE1C, 0xE75F, 0xD69D, 0xD6BD, 0xDEDD, 0xD69C, 0xDEDD, 
  0xE71D, 0xEF5E, 0xF77F, 0xF79F, 0xF77F, 0xF79F, 0xFFBF, 0xFFDF, 
  0xF79F, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xF7BF, 0xFFFF, 0x8C34, 0x1067, 0x18AA, 0x188B, 0x18AC, 0x20CD, 
  0x290E, 0x290D, 0x20CB, 0x316C, 0x316B, 0x7BD3, 0x526D, 0x39AD, 
  0x83B9, 0xC5BF, 0xBD9F, 0xAD3A, 0xBDB9, 0xFFFF, 0xFFDF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFF7F, 0xFFBF, 0xE6FC, 0x3986, 0xCE37, 0xFFFE, 
  0xFFDE, 0xF75C, 0xF7BE, 0xEF5D, 0xC639, 0xA516, 0x39CB, 0x10A8, 
  0x214D, 0x210D, 0x18ED, 0x214E, 0x298E, 0x192B, 0x0066, 0x0045, 
  0x18C7, 0x316A, 0x526E, 0x7392, 0x9CB7, 0xBDDB, 0xD69E, 0xD6DF, 
  0xD6BE, 0xD6BD, 0xDEDD, 0xDEFD, 0xE71E, 0xEF3E, 0xEF5E, 0xEF7E, 
  0xF77E, 0xF79F, 0xF79F, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xF77F, 0xBDDA, 0x41CC, 0x1048, 0x20CB, 0x20CC, 0x188B, 
  0x188B, 0x290D, 0x20EB, 0x18A9, 0x20E9, 0x7BB3, 0x52AF, 0x316C, 
  0x3170, 0xACFF, 0xCE1F, 0xCE1F, 0xBD9A, 0xE71E, 0xFFFF, 0xFFDF, 
  0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xF77F, 0xBD96, 0xD679, 0xFFBD, 
  0xF77C, 0xFFDE, 0xE73C, 0xE6FC, 0xD69B, 0xBDFA, 0x8C55, 0x4A6F, 
  0x210A, 0x212B, 0x18EA, 0x0888, 0x0046, 0x0886, 0x29AA, 0x5B0F, 
  0x8434, 0xA517, 0xCE3B, 0xDEDE, 0xE6FE, 0xDEDE, 0xDEDE, 0xD6BD, 
  0xE73F, 0xE73E, 0xE73E, 0xEF5E, 0xF77E, 0xF79F, 0xF7BF, 0xFFBF, 
  0xFFBF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFDF, 0xFFFF, 0xBDD9, 0x8C55, 0x18C8, 0x20C9, 0x20CA, 0x1069, 
  0x0006, 0x20EA, 0x0828, 0x20EA, 0x20CA, 0x318D, 0x4A30, 0x20EC, 
  0x3130, 0x6B18, 0x83F9, 0xC5DF, 0xCE1D, 0xC5FC, 0xFFDF, 0xFFBF, 
  0xFFFF, 0xFF9F, 0xFFBF, 0xFFFF, 0xFFBF, 0xFFFF, 0xF75D, 0xFFDE, 
  0xF77C, 0xF7BD, 0xF7BE, 0xF7BF, 0xE73E, 0xC61B, 0xB5BA, 0xAD5A, 
  0x8415, 0x52CF, 0x294A, 0x298A, 0x6330, 0x94D6, 0xB5B9, 0xC65B, 
  0xD6BD, 0xE6FE, 0xE71E, 0xE6FE, 0xDEBD, 0xDEDD, 0xE71E, 0xEF5F, 
  0xF79F, 0xF79F, 0xF79F, 0xF79F, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xCE5B, 0x9474, 0x6B51, 0x1087, 0x18A8, 0x1088, 
  0x18A8, 0x0827, 0x210B, 0x210B, 0x20EB, 0x314D, 0x20EC, 0x314F, 
  0x2910, 0x18AE, 0x188C, 0x7BB7, 0xCE1F, 0xBD9B, 0xEF3F, 0xFFDF, 
  0xFF7F, 0xE6DF, 0xC5FA, 0xC5B9, 0xCE3A, 0xD67B, 0xF79E, 0xFFDF, 
  0xFFFE, 0xD6B9, 0xEF7D, 0xEF5E, 0xF7BF, 0xDEFE, 0xB5B9, 0xBDDA, 
  0xCE5C, 0xCE7C, 0xCE5C, 0xCE7C, 0xD6BD, 0xCE9C, 0xCE9C, 0xDEDD, 
  0xDEDC, 0xDEBC, 0xDEBC, 0xDEDC, 0xE71D, 0xEF5E, 0xF79F, 0xF79F, 
  0xFFBF, 0xFFDF, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFDF, 0xDEDD, 0x8C53, 0x8C34, 0x4A2D, 0x1067, 0x18A8, 
  0x20EA, 0x18A9, 0x1068, 0x0849, 0x0829, 0x082A, 0x18AD, 0x18AD, 
  0x20CE, 0x20CE, 0x188C, 0x41D0, 0xA4BB, 0x9CB9, 0xACF9, 0xC5BB, 
  0xB538, 0xC5BA, 0xC5DA, 0xD67C, 0xEF3E, 0xD69B, 0xFFDF, 0xF79E, 
  0xF7BE, 0xE71B, 0xFFFF, 0xEF7E, 0xFFDF, 0xF79F, 0xCE5B, 0xBDFA, 
  0xCE3B, 0xCE3B, 0xC61A, 0xC63A, 0xD69C, 0xDEDD, 0xDEFD, 0xE73E, 
  0xEF3D, 0xEF3D, 0xEF5E, 0xF79F, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFBF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFDF, 0xFFFF, 0xC619, 0xAD37, 0x7392, 0x7BB3, 0x318C, 0x1068, 
  0x0827, 0x20EA, 0xA51B, 0xD65F, 0xBD9F, 0x7BB8, 0x104B, 0x082A, 
  0x000A, 0x18AC, 0x20CD, 0x314E, 0x9439, 0xA4FB, 0xACFA, 0xD65F, 
  0xE6DF, 0xF73F, 0xEF3F, 0xE6FD, 0xE6DD, 0xEF3D, 0xFFBF, 0xFFDF, 
  0xF7BF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xDEDC, 0xDEFC, 0xDEDC, 
  0xD67B, 0xDEDD, 0xE6FD, 0xEF3E, 0xF77F, 0xEF5E, 0xEF5E, 0xF77E, 
  0xF79F, 0xF7BF, 0xFFBF, 0xFFBF, 0xF79E, 0xF79E, 0xFFBE, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFE, 0xFFFF, 0xCE5A, 0xAD58, 0x9497, 0x7374, 0x6B54, 0x18CB, 
  0x1049, 0x188B, 0x4210, 0x7375, 0x5291, 0x18AA, 0x0008, 0x108A, 
  0x210D, 0x210D, 0x290E, 0x398F, 0x83B8, 0x9C9A, 0xACFB, 0xE6FF, 
  0xCE1C, 0xDE9D, 0xE6FD, 0xEF1D, 0xE71D, 0xF79F, 0xFFDF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xEF7D, 0xFFFF, 0xFFFF, 0xEF5C, 0xDEFB, 0xDEDC, 
  0xEF3E, 0xEF3F, 0xEEFE, 0xE71E, 0xF75F, 0xFF9F, 0xFFBF, 0xFFDF, 
  0xF79E, 0xF7BE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xF7BE, 0xE6FD, 0xBDDA, 0xAD3A, 0x9457, 0x6B14, 0x5251, 
  0x39AF, 0x290C, 0x106A, 0x18AB, 0x1069, 0x18CA, 0x20EB, 0x20EB, 
  0x20EB, 0x290C, 0x292D, 0x39AF, 0x62F4, 0x8BF7, 0xAD1A, 0xE6BF, 
  0xEF3F, 0xFF9F, 0xFFBF, 0xFFFF, 0xFFFF, 0xE71C, 0xFFDF, 0xFFFF, 
  0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xF7BE, 0xFFFF, 0xEF5D, 0xF77E, 
  0xEF5E, 0xFF9F, 0xFFBF, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFDF, 
  0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFDF, 0xF77F, 0xD67C, 0xB579, 0xAD59, 0x83F5, 0x39AD, 
  0x20EB, 0x398E, 0x4A10, 0x4210, 0x316D, 0x20EB, 0x20CB, 0x210C, 
  0x20EB, 0x314D, 0x398E, 0x41EE, 0x39AD, 0x4A2E, 0xAD18, 0xFFBF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFDF, 0xFFBF, 0xE71E, 0xCE3B, 0xC5DB, 0x9CB7, 0x5A8F, 
  0x294B, 0x20EA, 0x18A9, 0x18AA, 0x20CA, 0x20EB, 0x210B, 0x292C, 
  0x316D, 0x290B, 0x20EA, 0x49ED, 0x7B93, 0xB559, 0xEF5F, 0xFFFF, 
  0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFDF, 0xFFFF, 0xF79F, 0xE6FD, 0xD69D, 0xBD9A, 0x8414, 
  0x316B, 0x292A, 0x290A, 0x294B, 0x294B, 0x290A, 0x20EA, 0x210A, 
  0x290A, 0x62D0, 0x9CB8, 0xDE9E, 0xFF9F, 0xFFFF, 0xFFFF, 0xFFBF, 
  0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFBF, 0xEF3E, 0xE6FE, 0xD67C, 0xBDBA, 
  0x5ACF, 0x41CB, 0x20E8, 0x1087, 0x18C8, 0x316A, 0x5AAF, 0x7BD3, 
  0xCE1C, 0xDEBE, 0xE6DF, 0xEF1F, 0xEF5F, 0xF77F, 0xFFBF, 0xEF7E, 
  0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF79F, 0xEF5E, 0xE71E, 0xDEDD, 
  0xDEBD, 0xB599, 0x9495, 0x9475, 0xA517, 0xBDFA, 0xDEDE, 0xF79F, 
  0xE6FE, 0xE6FE, 0xDEBD, 0xEF3E, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBF, 0xF77F, 0xEF5F, 
  0xE73E, 0xE71E, 0xEF3E, 0xF77F, 0xF77F, 0xE73E, 0xDEFD, 0xDEDC, 
  0xEF5E, 0xF79F, 0xF79F, 0xFFFF, 0xFFDF, 0xF77D, 0xFFDE, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBF, 0xFFBF, 
  0xF79F, 0xFFDF, 0xFFBF, 0xEF7E, 0xE73D, 0xEF5D, 0xF79E, 0xFFFF, 
  0xFFBF, 0xF79E, 0xEF5D, 0xF7BE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 
  0xF7BF, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 0xF79E, 
  0xFFBF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
  0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
};

